Skip to main content
`Ctrl`+`K`

# PEPSetEigenvalueComparison

Specifies the eigenvalue comparison function when `PEPSetWhichEigenpairs()` is set to `PEP_WHICH_USER`.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetEigenvalueComparison(PEP pep,SlepcEigenvalueComparisonFn *comp,void *ctx)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- comp - the comparison function, see `SlepcEigenvalueComparisonFn` for the calling sequence

- ctx - a context pointer (the last parameter to the comparison function)

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetWhichEigenpairs()`, `PEPWhich`

## Level

advanced

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages